# syscalls.h File Reference

`#include <ubixos/sched.h>`
`#include <vfs/file.h>`

Go to the source code of this file.

## Typedefs

typedef void(* | functionPTR )()

## Functions

void | sysGetpid ()
void | sysExit ()
void | sysExec ()
void | sysFork ()
void | sysCheckPid ()
void | sysGetFreePage ()
void | sysFwrite ()
void | sysFgetc ()
void | sysFopen ()
void | sysFread ()
void | sysFclose ()
void | sysSchedYield ()
void | sysFseek ()
void | sysMkDir ()
void | sysRmDir ()
void | sysGetUid ()
void | sysGetGid ()
void | sysSetUid ()
void | sysSetGid ()
void | sysSDE ()
void | sysGetDrives ()
void | sysGetCwd ()
void | sysChDir ()
void | sysGetUptime ()
void | sysGetTime ()
void | sysStartSDE ()
void | sysUnlink ()

## Variables

functionPTR | systemCalls []
int | totalCalls = sizeof(systemCalls)/sizeof(functionPTR)

## Typedef Documentation

typedef void(* functionPTR)()

## Function Documentation

void sysChDir | ( |  | ) |

void sysCheckPid | ( |  | ) |

void sysExec | ( |  | ) |

void sysExit | ( |  | ) |

void sysFclose | ( |  | ) |

void sysFgetc | ( |  | ) |

void sysFopen | ( |  | ) |

void sysFork | ( |  | ) |

void sysFread | ( |  | ) |

void sysFseek | ( |  | ) |

void sysFwrite | ( |  | ) |

void sysGetCwd | ( |  | ) |

void sysGetDrives | ( |  | ) |

void sysGetFreePage | ( |  | ) |

void sysGetGid | ( |  | ) |

void sysGetpid | ( |  | ) |

void sysGetTime | ( |  | ) |

void sysGetUid | ( |  | ) |

void sysGetUptime | ( |  | ) |

void sysMkDir | ( |  | ) |

void sysRmDir | ( |  | ) |

void sysSchedYield | ( |  | ) |

void sysSDE | ( |  | ) |

void sysSetGid | ( |  | ) |

void sysSetUid | ( |  | ) |

void sysStartSDE | ( |  | ) |

void sysUnlink | ( |  | ) |

## Variable Documentation

functionPTR systemCalls[]

int totalCalls = sizeof(systemCalls)/sizeof(functionPTR)